# Check Bills for NEA

This endpoint lets you retrieve bills for operators Nepal Electricity&#x20;

## Check Bill Details API

<mark style="color:green;">`POST`</mark> `/np/recharge/check`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| Accept       | `application/json` |
| x-auth-token | `<token>`          |

**Body**

| Name               | Type   | Description                                                                                            |
| ------------------ | ------ | ------------------------------------------------------------------------------------------------------ |
| `operator_id`      | int    | ID of the relevant operator                                                                            |
| `operator_type_id` | int    | Operator Type ID                                                                                       |
| `connection_no`    | string | Customer ID Number of Bill                                                                             |
| `reference_no`     | string | Unique reference no for the request                                                                    |
| `phone`            | string | Customer Nepali Number                                                                                 |
| `sc_no`            | string | Serial Code Number of Bill                                                                             |
| `office_code`      | string | Office code location ( [refer this](https://docs.globaltopup.in/other-nepal-apis/office-code-lookup) ) |

**Response**

{% tabs %}
{% tab title="200" %}

````json
{
    "error": false,
    "message": "The action has been successfully performed.",
    "data": {
        "customer_name": "Customer Name RAMESHORI DUWAL ",
        "connection_no": "Customer ID 2302",
        "reference_no": "Unique reference number provided by you for later reference",
        "bill_amount": "Bill total Amount 442.00",
        "payments": [
            {
                "bill_date": "Date of Bill 01-SEP-21",
                "status": "Fine or refund if any 9.0200",
                "bill_amount": "Bill amount of the month 442.00",
                "total_amount": "Total Due Bill442.00",
                "due_bill": "Bill Month Bhadra/2078",
                "number_days": "Number of days from which billing is done NoOfDays:1"
            }
        ]
    }
}
```
````

{% endtab %}

{% tab title="4XX/5XX" %}

```json
{
    "error": true,
    "message": "Description for the error",
}
```

{% endtab %}

{% tab title="Guzzle" %}

```json
use GuzzleHttp\Client;

$url    = '/np/recharge/check';

$form_params =
  [
    'operator_type_id' => '2',
    'operator_id'      => '43',
    'connection_no'    => 'Customer ID Number of Bill',
    'phone'            => 'Customer Nepali Number',
    'sc_no'            => 'Serial Code Number of Bill',
    'office_code'      => 'Office Code received from Office Code API',
    'reference_no'     => mt_rand(1000000,9999999)
    
  ];
            
$client = new Client([
    'base_uri' => 'https://uatservices.globaltopup.in/api/v1/',
          ]);
          $res = $client->post($url, [
          'json' => $form_params,  // Send JSON payload
          'headers' => 
        [
             'x-auth-token' => 'Token Provided by Global Topup',
             'Content-Type' => 'application/json',
             'Accept' => 'application/json'
        ]
                ]);
              
   $response       =   json_decode($res->getBody()->getContents(), true);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.globaltopup.in/nepal-recharge/nepal-electricity/check-bills-for-nea.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
